/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Dom Jan 20 00:53:34 BRST 2002
    copyright            : (C) 2002 by Ricardo Stefani - The chemsuite Project
    email                : rstefani@seul.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "application.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("chem2d.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

 ApplicationWindow* chem2d=new ApplicationWindow();
  a.setMainWidget(chem2d);

  chem2d->show();

  return a.exec();
}
