///////////////////////////////////////////////////////////////////////////
// (c) 2000-2001 The Chemsuite Group
// ChemIR the Infrared Spectra Processor
// Read and Process pkelmer format
// Acknowlodgements:
// Prof. Dr. Harold Bell
// hbell@chem.cs.virginia.edu
/////////////////////////////////////////////////////////////////////////

#ifndef __PKELMER_H
#define __PKELMER_H

#include "spectrum.h"
#include <qstring.h>
#include <qstringlist.h>

class SPFile: public Spectrum
{
private:
 int nLinha;
 int lp;
 long int fxpos;
 QString FName;
 XUnits getxunits();
 YUnits getyunits();
 void getY(long int py, float fx, float percent);
protected:
 QStringList txValues;
 QStringList tyValues;
 virtual void LoadData();
 virtual void ProcessPoints();
 virtual QString& GetValue();
 virtual int GetType();
public:
 bool mklp;
 SPFile(QString AFile);
 ~SPFile();
 virtual void Load(QString AFile);
};


#endif
